<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SurveyBanner',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
});
</script>

<template>
  <section
    class="survey-banner"
    :class="[
      data?.padding_bottom_size
        ? 'slp-mb-' + data.padding_bottom_size
        : 'slp-mb-64',
      data?.padding_top_size ? `slp-mt-${data?.padding_top_size}` : undefined,
    ]"
  >
    <SlpContainer>
      <div
        class="survey-banner__container"
        :class="
          data?.padding_top_size
            ? `slp-mt-${data?.padding_top_size}`
            : undefined
        "
      >
        <SlpTypography
          v-if="data.note"
          tag="div"
          variant="heading5-bold"
          class="survey-banner__note slp-mb-16"
          :data-aos="data.aos_animation"
          :data-aos-duration="data.aos_duration"
          :data-aos-offset="data.aos_offset"
        >
          {{ data.note }}
        </SlpTypography>
        <SlpTypography
          v-if="data.title"
          tag="h2"
          :variant="data?.title_tag ? data.title_tag : 'heading1-bold'"
          class="slp-mb-16"
          :class="data.gradient ? 'survey-banner__title' : ''"
          :data-aos="data.aos_animation"
          :data-aos-duration="data.aos_duration"
          :data-aos-offset="data.aos_offset"
        >
          {{ data.title }}
        </SlpTypography>
        <div class="survey-banner__content">
          <SlpTypography
            v-if="data.description"
            tag="div"
            :variant="data?.description_tag ? data.description_tag : 'body1'"
            class="slp-mb-24"
            :data-aos="data.aos_animation"
            :data-aos-duration="data.aos_duration"
            :data-aos-offset="data.aos_offset"
          >
            <div v-html="data.description"></div>
          </SlpTypography>
          <div
            class="survey-banner__note"
            :data-aos="data.aos_animation"
            :data-aos-duration="data.aos_duration"
            :data-aos-offset="data.aos_offset"
          >
            <SlpButton
              v-if="data.button"
              class="survey-banner__button slp-mt-24"
              variant="primary"
              :data-ga-name="
                data.button?.data_ga_name ?? 'start your free trial'
              "
              :data-ga-location="data.button?.data_ga_location ?? 'header'"
              :href="data.button?.href ?? '/free-trial/'"
            >
              {{ data.button?.text }}
              <SlpIcon
                v-if="data.button?.icon"
                :name="data.button?.icon.name"
                :variant="data.button?.icon.variant ?? 'marketing'"
                class="slp-ml-8"
              />
            </SlpButton>
          </div>
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.survey-banner {
  // margin-top: 0 !important;
  color: $color-primary-300;

  h2 {
    color: #67cfb7;
  }
  &__note {
    display: inline-flex;
    align-items: center;
  }
  &__button {
    border: 1px solid $color-text-link-100;
    position: relative;
    transition: 0.4s ease;
    z-index: 1;
    border-radius: 5px;
    position: relative;
    color: $color-text-300;
    background: transparent;
    :deep .slp-icon {
      color: $color-text-link-100;
      transition: 0.4s ease;
      :hover > & {
        color: $color-primary-300;
      }
    }
    &:hover,
    &:focus {
      background: $color-text-link-100;
      border-color: $color-text-link-100;
      color: $color-primary-300;
    }
  }
  &__content {
    max-width: $breakpoint-lg;
  }
  &__note {
    font-family: 'GitLab Mono';
  }
  :deep b {
    font-weight: 600;
  }
  :deep a:not(.slp-btn) {
    text-decoration: underline;
    color: $color-primary-300;
  }
}
</style>
